> For the complete documentation index, see [llms.txt](https://docs.makerdao.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.makerdao.com/build/dai.js/single-collateral-dai/system-status.md).

# System Status

## Summary

To access system status information, retrieve the ETH CDP Service through Maker.service('cdp').

```javascript
const service = maker.service('cdp');
```

## getSystemCollateralization

* **Params:** none
* **Returns:** promise (resolves to system collateralization ratio)

`getSystemCollateralization()` returns the collateralization ratio for the entire system, e.g. 2.75

```javascript
const systemRatio = await service.getSystemCollateralization();
```

## getTargetPrice

* **Params:** none
* **Returns:** promise (resolves to target price)

`getTargetPrice()` returns the target price of Sai in USD, that is, the value to which Sai is soft-pegged, which historically has been 1. It returns a `USD_SAI` [price unit](/build/dai.js/single-collateral-dai/system-status.md#units).

```javascript
const targetPrice = await service.getTargetPrice();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.makerdao.com/build/dai.js/single-collateral-dai/system-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
